Bug 138847 - EDITING Characters deleted with Backspace/Delete not unified in margin (in changes-in-margin mode)
Summary: EDITING Characters deleted with Backspace/Delete not unified in margin (in ch...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: tracked-changes-in-margin
  Show dependency treegraph
 
Reported: 2020-12-12 10:26 UTC by NISZ LibreOffice Team
Modified: 2021-01-07 10:31 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Writer (15.70 KB, application/vnd.oasis.opendocument.text)
2020-12-12 10:26 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Writer 7.1 and 7.2 after deletion (233.39 KB, image/png)
2020-12-12 10:26 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-12-12 10:26:32 UTC
Created attachment 168091 [details]
Example file from Writer

When changes in margin mode is enabled, consecutive character deletions are not unified into a single redline entry, but are tracked separately.

Steps to reproduce:
    1. Have some text in a Writer document 
    2. Enable change tracking whil changes in margin mode is also enabled
    3. Delete some word with multiple pressing of Backspace, another with Delete
    4. Open the Manage Changed dialog

Actual results:
Each character deletion is a separate redline entry.

Expected results:
One entry for each consecutive deletion sequence.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: 61d07657caab5e0fb8ec4446f67a7044e14dae4b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Additional Information: 

Bibisected using bibisect-win64-7.2 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=469f472fb31c4ef1a57f8ec54ba750c1332feec2 
author	László Németh <nemeth@numbertext.org>	2020-11-25 10:55:13 +0100
committer	László Németh <nemeth@numbertext.org>	2020-11-26 08:32:30 +0100
tdf#138479 tdf#137769 sw ChangesInMargin: fix Undo in paragraphs

Adding CC to: Laszlo Nemeth
Comment 1 NISZ LibreOffice Team 2020-12-12 10:26:50 UTC
Created attachment 168092 [details]
Screenshot of the original document side by side in Writer 7.1 and 7.2 after deletion
Comment 2 Commit Notification 2020-12-16 10:01:04 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8bd229c4e42e92545db11832b29bf97540707c32

tdf#138847 sw ChangesInMargin: show all characters in margin

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-12-16 20:37:54 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/6585f250d13fa27c2b3a5faf28d2cdab882ce323

tdf#138847 sw ChangesInMargin: show all characters in margin

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2020-12-21 12:51:01 UTC
Fixed the visibility-in-margin part... The remaining part can be a new bug (or maybe solving the similar DOCX import problem will solve that, too).
Comment 5 NISZ LibreOffice Team 2021-01-07 10:31:03 UTC
Verified in: 

Version: 7.2.0.0.alpha0+ (x64)
Build ID: 96bafa464ebdbce3ef04bec9beae5e745bb37794
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded